=== debian/changelog ===
ros-one-global-planner (1.17.3-4noble.20251023.1449) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 14:49:26 +0000

ros-one-global-planner (1.17.3-0noble) noble; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-global-planner (1.17.2-0noble) noble; urgency=high

  * Throttled failed to get plan error to 5 seconds (#1102 <https://github.com/ros-planning/navigation/issues/1102>)
  * Fixed the risk of divide by zero. (#1099 <https://github.com/ros-planning/navigation/issues/1099>)
  * No virtual destructor polyformic classes fixed.  (#1100 <https://github.com/ros-planning/navigation/issues/1100>)
  * Fixes #1026 <https://github.com/ros-planning/navigation/issues/1026> (#1028 <https://github.com/ros-planning/navigation/issues/1028>)
  * correctly delete previously allocated array (#1025 <https://github.com/ros-planning/navigation/issues/1025>)
    Co-authored-by: Fedor Vlasov <mailto:fedor.vlasov@de.kaercher.com>
  * Contributors: David V. Lu!!, Noriaki Ando, Orhan G. Hafif, mechatheo

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-global-planner (1.17.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-global-planner (1.17.0-0noble) noble; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-global-planner (1.16.6-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.5-0noble) noble; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.4-0noble) noble; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * parameter for enabling outlineMap added (#926 <https://github.com/cobalt-robotics/navigation/issues/926>)
  * Contributors: Pavel Shumejko, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-global-planner (1.16.3-0noble) noble; urgency=high

  * Remove unused visualize_potential (#866 <https://github.com/ros-planning/navigation/issues/866>)
  * remove unused costmap_pub_frequency (#858 <https://github.com/ros-planning/navigation/issues/858>)
  * Fix #845 <https://github.com/ros-planning/navigation/issues/845> (#846 <https://github.com/ros-planning/navigation/issues/846>)
  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-global-planner (1.16.2-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.1-0noble) noble; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.16.0-0noble) noble; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * feat(orientation_filter): Added additional orientation filter options (#739 <https://github.com/ros-planning/navigation/issues/739>)
    * feat(orientation_filter): Added additional orientation filter options
    Enables plan references with different orientations for omni-base
    controllers. The following options are added:
    - Backward (backward path traversal, pose points to previous point)
    - Leftward (lateral path traversal in the positive y direction)
    - Rightward (lateral path traversal in the negative y direction)
    * Updated orientation filter option description
    * Added window size parameter to orientation filter
    Previously, the orientation was calculated using the current and the
    next point. However, when the path is somewhat jumpy, this results in
    poor orientations. By adding this parameter and altering the orientation
    calculation, the calculated orientation can be smoothened along the path
    by taking into account a larger window. The orientation of index point i
    will be calculated using the positions of i - window_size and i +
    window_size.
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-global-planner (1.15.2-0noble) noble; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.

