=== debian/control ===
Source: ros-one-global-planner
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-core, ros-one-nav-msgs, ros-one-navfn, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/global_planner
Standards-Version: 3.9.2

Package: ros-one-global-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-costmap-2d, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-core, ros-one-nav-msgs, ros-one-navfn, ros-one-pluginlib, ros-one-roscpp, ros-one-tf2-ros
Description: A path planner library and node.
